developers API Documentation

Conversations are a note on a deal.


Conversation Attributes

Name Type Default Example Writable? Description
deal_id integer 1234 yes The deal associated with the conversation
user_id integer 1234 no The conversation owner.
user object {id: 1, full_name: 'John Smith'} no A convenience object to get the conversation owner's id and full name.
sentence text This is a conversation yes The conversation sentence text
created_at datetime 2012-06-13 11:47:15(time zone is user's time zone) no Timestamp when conversation was created

Create a conversation

Request format

POST /conversations.json

Example

curl -X POST -d "conversation[deal_id]=1953002&conversation[sentence]=hello deals" \
  "https://api.pipelinedeals.com/api/v3/conversations.json?api_key=abc1234"
HTTP Code
200
Body
{
  "user_id":1,
  "id":1,
  "deal_id":2,
  "user":{"id":1,"full_name":"admin nick"},
  "created_at":"2012/06/13 15:11:41 -0400",
  "sentence":"here is a conversation"
}

Retrive a single conversation

Request format

GET /conversations/:id.json

Examples

Request

curl "https://api.pipelinedeals.com/api/v3/conversations/923757.json?api_key=abc1234"
HTTP Code
200
Body
{
    "author": "Ben Rhodes", 
    "created_at": "2011/12/20 15:37:13 -0500", 
    "has_more": false, 
    "id": 923757, 
    "preview": "hello deals"
}

Update a conversation

Request format

PUT /conversations/:id.json

Examples

curl -X PUT -d "conversation[sentence]=hello updates" \
  "https://api.pipelinedeals.com/api/v3/conversations/923757.json?api_key=abc1234"
HTTP Code
200
Body
{
    "author": "Ben Rhodes", 
    "created_at": "2011/12/20 15:37:13 -0500", 
    "has_more": false, 
    "id": 923757, 
    "preview": "hello updates"
}

Delete a conversation

Request format

DELETE /conversations/:id.json

Examples

curl -f -w "%{http_pre}\n" -X DELETE \
  "https://api.pipelinedeals.com/api/v3/conversations/923736.json?api_key=abc1234"
HTTP Code
200
Body
empty

Built by sales people, for sales people.

Try PipelineDeals FREE for 30 days

No credit card required.